Subject: [PATCH v2] ARM/KVM: save and restore generic timer registers

From: [email-masked] (Marc Zyngier)
Date: Thu, 20 Jun 2013 19:39:59 +0100

On 20/06/13 19:32, Christoffer Dall wrote:

>> So there is just one thing we absolutely need to make sure here: no vcpu
>> can run before they've all had their timer restored, and hence a stable
>> cntvoff. Otherwise two vcpus will have a different view of time.
>>
>> Can we guarantee this?
>>
> 
> Do we need to?  User space is free to modify time and all sort of other
> registers at any point during VM execution - it will just break the
> guest that it's running.
> 
> I think the key here is that we expect the VM to be stopped for all
> save/restore operations (we can enforce it if we want to, which I am
> going to for the VGIC state, because we don't want to interfere with
> consistent state being written to the hardware).

If that's what we expect, then it's fine by me.

	M.
-- 
Jazz is not dead. It just smells funny...